## tomcat11 11.0.6

=== debian/changelog ===
tomcat11 (11.0.6-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 03 Apr 2025 22:30:12 +0200
