## tomcat11 11.0.11

=== debian/changelog ===
tomcat11 (11.0.11-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 29 Sep 2025 12:00:39 +0200
