=== debian/control ===
Source: tomcat11
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 tony mancill <tmancill@debian.org>,
 Emmanuel Bourg <ebourg@apache.org>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 ant-optional,
 bnd (>= 5.0.1),
 debhelper-compat (= 13),
 default-jdk (>= 2:1.17),
 javahelper,
 junit4 (>= 4.11),
 libbyte-buddy-java,
 libderby-java,
 libeasymock-java (>= 3.0),
 libeclipse-jdt-core-java (>= 3.26.0),
 libeclipse-jdt-core-compiler-batch-java,
 libhamcrest-java (>= 1.3),
 libjaxrpc-api-java,
 libobjenesis-java,
 libtaglibs-standard-impl-java,
 libtaglibs-standard-spec-java,
 libtcnative-1 (>= 1.2.35),
 libwsdl4j-java,
 lsb-release,
 maven-repo-helper,
 tomcat-jakartaee-migration (>= 1.0.7-2~)
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/java-team/tomcat11.git
Vcs-Browser: https://salsa.debian.org/java-team/tomcat11
Homepage: http://tomcat.apache.org

Package: tomcat11-common
Architecture: all
Depends:
 default-jre-headless (>= 2:1.17) | java17-runtime-headless | java17-runtime,
 libtomcat11-java (>= ${source:Version}),
 ${misc:Depends}
Description: Apache Tomcat 11 - Servlet and JSP engine -- common files
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains common files needed by the tomcat11 and tomcat11-user
 packages (Tomcat 11 scripts and libraries).

Package: tomcat11
Architecture: all
Depends:
 systemd (>= 238) | systemd-sysusers,
 systemd (>= 238) | systemd-tmpfiles,
 tomcat11-common (>= ${source:Version}),
 ucf,
 ${misc:Depends}
Recommends:
 libtcnative-1 (>= 1.2.18)
Suggests:
 tomcat11-admin (>= ${source:Version}),
 tomcat11-docs (>= ${source:Version}),
 tomcat11-examples (>= ${source:Version}),
 tomcat11-user (>= ${source:Version})
Description: Apache Tomcat 11 - Servlet and JSP engine
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains only the startup scripts for the system-wide daemon.
 No documentation or web applications are included here, please install
 the tomcat11-docs and tomcat11-examples packages if you want them.
 Install tomcat11-user instead of this package if you don't want Tomcat to
 start as a service.

Package: tomcat11-user
Architecture: all
Depends:
 netcat-openbsd,
 tomcat11-common (>= ${source:Version}),
 ${misc:Depends}
Suggests:
 tomcat11 (>= ${source:Version}),
 tomcat11-admin (>= ${source:Version}),
 tomcat11-docs (>= ${source:Version}),
 tomcat11-examples (>= ${source:Version})
Description: Apache Tomcat 11 - Servlet and JSP engine -- tools to create user instances
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains files needed to create a user Tomcat instance.
 This user Tomcat instance can be started and stopped using the scripts
 provided in the Tomcat instance directory.

Package: libtomcat11-java
Architecture: all
Depends:
 libeclipse-jdt-core-java (>= 3.26.0),
 libeclipse-jdt-core-compiler-batch-java,
 ${misc:Depends}
Suggests:
 tomcat11 (>= ${source:Version})
Description: Apache Tomcat 11 - Servlet and JSP engine -- core libraries
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the Tomcat core classes which can be used by other
 Java applications to embed Tomcat.

Package: libtomcat11-embed-java
Architecture: all
Depends:
 libeclipse-jdt-core-java (>= 3.26.0),
 ${misc:Depends}
Description: Apache Tomcat 11 - Servlet and JSP engine -- embed libraries
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the libraries required to embed Tomcat into Java
 applications.

Package: tomcat11-admin
Architecture: all
Depends:
 tomcat11-common (>= ${source:Version}),
 ${misc:Depends}
Description: Apache Tomcat 11 - Servlet and JSP engine -- admin web applications
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the administrative web interfaces.

Package: tomcat11-examples
Architecture: all
Depends:
 tomcat11-common (>= ${source:Version}),
 ${misc:Depends}
Description: Apache Tomcat 11 - Servlet and JSP engine -- example web applications
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the default Tomcat example webapps.

Package: tomcat11-docs
Section: doc
Architecture: all
Depends:
 tomcat11-common (>= ${source:Version}),
 ${misc:Depends}
Description: Apache Tomcat 11 - Servlet and JSP engine -- documentation
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the online documentation web application.
