## tomcat11 11.0.15

=== debian/changelog ===
tomcat11 (11.0.15-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Converted debian/watch to version 5 format

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 18 Dec 2025 09:53:00 +0100
