=== debian/watch ===
Version: 5
Template: GitHub
Owner: apache
Project: tomcat
Source: https://api.github.com/repos/apache/tomcat/git/matching-refs/tags/11.
Uversion-Mangle: s/-(alpha|beta|RC|M)/~$1/
Repack: yes
