## tomcat11 11.0.18

=== debian/changelog ===
tomcat11 (11.0.18-1) unstable; urgency=medium

  * New upstream version 11.0.18.
  * Refresh all patches.
  * Declare compliance with Debian Policy 4.7.3.

 -- Markus Koschany <apo@debian.org>  Tue, 03 Feb 2026 12:37:50 +0100
